\PassOptionsToPackage{table,xcdraw}{xcolor}
\documentclass[11pt]{generaledms}   % One can enable the "twoside" option.
\usepackage{siunitx}
\usepackage{amsmath}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FONTS   %%%
% If you really want to use Calibri in your document, then you need to
%  1) Have Calibri available on your computer (e.g. have Office installed)
%  2) Use these packages:
%   \usepackage{fontspec}
%   \setmainfont{Calibri}
%  3) Compile this document with "xelatex" instead of plain latex.
% Otherwise I propose to use "Carlito", which is very similar and freely available in latex
%   \usepackage[sfdefault]{carlito}
% In order to make this document as generic as possible, I make this choice automatic
%  If you are compiling it with xelatex I assume you have Calibri, and you want it.
%  Otherwise I use carlito... ;)
\usepackage{ifxetex}
\ifxetex
  \usepackage{fontspec}
  \setmainfont{Calibri}
\else
  \usepackage[sfdefault]{carlito}
\fi
%%% Define additional packages you want
% Note that many packages are already loaded by the hllhcedms style...
\usepackage{lipsum}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% DOCUMENT REFERENCE NUMBERS %%%
\edmsno{0000000}		% EDMS number
\rev{0.1} 			% Revision number
\validity{DRAFT}		% If Draft or released...
\reference{n.a.}	% Reference number within the project 
% Not mandatory: 
\templateedmsno{00000000}	% You can define a template number to be added to the bottom right of the page
\customlogo{CLEAR.png} %You can define a custom logo to be added next to the CERN log

% The following lines customise the content table style. It works on overleaf, but not in TexShop, it seems
% 
%% customise table of content %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\usepackage{titletoc}
%% centre and italic title
%\renewcommand{\contentsname}%
%    {\hfill\bfseries\Large\textit{Table of Contents}\hfill}
%% all uppercase
%%\dottedcontents{section}[0mm]{\normalsize\bfseries}{\thecontentslabel \space \uppercase}{\normalfont\dotfill\makebox[1em][l]{\thecontentspage}}
%%\dottedcontents{<type>}[<before>]{before code}{2.3em}{<dot speacing>}
%\titlecontents{section}[2.em]{}%
%    {\contentslabel{1.5em}\bfseries\uppercase\large}%
%    {\hspace*{-1.5em}}%
%    {\titlerule*[5pt]{.}\bfseries{\contentspage}\normalsize\normalfont}
%\titlecontents{subsection}[2.5em]{}%
%    {\contentslabel{2.em}\uppercase\large}%
%    {\hspace*{-2.em}}%
%    {\titlerule*[5pt]{.}\contentspage\normalsize\normalfont}
%\titlecontents{subsubsection}[3.5em]{}%
%    {\contentslabel{3.em}\uppercase\large}%
%    {\hspace*{-3.em}}%
%    {\titlerule*[5pt]{.}\contentspage\normalsize\normalfont}
%%\dottedcontents{section}[2.em]{\bfseries}{1.5em}{5pt}
%%\dottedcontents{subsection}[2.5em]{}{2.em}{5pt}
%%\dottedcontents{subsubsection}[3.5em]{}{3em}{5pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% DOCUMENT STARTS HERE: %%%
\begin{document}

%
%  One can build up the front page with all the lines etc. using this pre-defined "maintable" environment.
%  It is just a table as wide as the page.
%    Following one has to specify the format of the table columns (is going to be a tabularx wide as the whole page!). 
%       Examples are L[<width>]; R[<width>]; C[<width>] for left, right, centre horizontal alignment.
%         The parameter <width> is used for defining the width in a "relative" fashion.
%            The sum of all widths has to be equal to the number of columns you are defining.
%    The optional argument of "maintable" is the alignment in vertical of ALL! the cells. It can be p (=top);  m(=centre); b(=bottom)., e.g.:
%         \begin{maintable}{C{1} L{1} R{1}}[m] % will start a table with 3 equal columns with H alignment Center; Left; Right and V alignment "Middle"
%
\begin{maintable}{C{1}}
\maintabletitle{CLEAR PROCEDURE} \\
\hline 
\\[5mm]
%\\[-2mm] % spacing can be negative! ;)
\maintabletitle{Experiment Approval} \\[5mm]
\end{maintable}


% ABSTRACT
\begin{maintable}{ L{1} }
\begin{center}
\textbf{Abstract}
\end{center}
\lipsum[1] 
\\[5mm]
\end{maintable}

% TRACEABILITY
\begin{maintable}{ L{1.55} | L{0.45} }
\hline
\multicolumn{2}{@{}c@{}}{\emph{\maintablesubtitle{TRACEABILITY}}} \\[1mm]
\hline
\textbf{Prepared by:} D. Gamba & \textbf{Date: 2022-01-25 } \\
\textbf{Verified by:} D. Gamba, D. Gamba & \textbf{Date: 2022-02-28 } \\
\textbf{To be approved by:} R. Corsini & \textbf{Date: 2022-MM-DD } \\
\hline
\end{maintable}



% Distribution
\begin{maintable}{ L{1} }
\emph{\textbf{Distribution:}} N. Surname (DEP/GRP)
\emph{(in alphabetical order) can also include reference to committees, e.g. CLEAR-politburo}
\\[1mm]
\hline
\end{maintable}

% HISTORY OF CHANGES
\begin{maintable}{ L{0.3} | L{0.4} | L{2.3} }
% The horizontal alignment of each cell can be varied, e.g. with \centering....
% Pay attention that you need the "\tabularnewline" instead of "\\" at the end of a line that you forced to be "\centering"
\centering \emph{\textbf{Rev. No.}} &  \centering \emph{\textbf{Date}} & \centering \emph{\textbf{Description of Changes} (major changes only, minor changes in EDMS)}  \tabularnewline
\hline
0.1 		& 2020-06-02 		& First draft	\\
\hline
0.2 		& 2020-07-01		& First feedback	\\
\hline
\end{maintable}

%
% As usual in LaTeX, you can force the end of a page...
%
\clearpage


%
% Adding the Table Of Contents as a "maincontent" part: 
%
\begin{maincontent}
\tableofcontents
\end{maincontent}
\clearpage



% 
% One can then create a special environment where to actually put "real" content... 
% A special environment "maincontentstyled" has been defined with some standard 
% style in order to be "similar" to the normal .docx documents.
%
\begin{maincontentstyled}
\section{My section title}
\lipsum[1]

\lipsum[2]

\subsection{Approximated Schedule}
\lipsum[3]
As define in Table~\ref{tab:equipmenttable}.

\begin{table}[h]
\centering
\caption{Example Equipment XXX Simplified Schedule}
\label{tab:equipmenttable}
\begin{tabular}{*{13}{| c} |}
\hline
\centering \textbf{Phase} & \multicolumn{2}{c|}{\textbf{2016}} &  \multicolumn{2}{c|}{\textbf{2017}} & \textbf{2018} & \textbf{2019} & \textbf{2020} & \textbf{2021} & \textbf{2022} & \textbf{2023} &\textbf{2024} &\textbf{2025} \\ \hline
Requirements definition & & & & & & & & & & & & \\ \hline 
Functional specification & & & & & & & & & & & &  \\ \hline 
Engineering specification & \cellcolor{orange}x & & & & & & & & & & &  \\ \hline 
Acquisition Process & \cellcolor{orange}x & \cellcolor{orange}x & \cellcolor{orange}x & & & & & & & & & \\ \hline 
Fabrication, Assembly, Verification & & & \cellcolor{orange}x & \cellcolor{orange}x & \cellcolor{orange}x & \cellcolor{orange}x & & & & & & \\ \hline 
Installation - Commissioning & & & & & & \cellcolor{orange}x & \cellcolor{orange}x & \cellcolor{orange}x & & & & \\ \hline 
\end{tabular}
\end{table}
\lipsum[4]
\end{maincontentstyled}

%
% One can add lines in the "document" environment that 
% span the whole page. 
%
\mainline{}
% one can also specify the thickness
\mainline[2pt]{}

%
% An other special environment is this "maincontent".
% It is similar to "maincontentstyled", but no style was added, but only
% some additional horizontal border in order not to hit the square around the page.
%
\begin{maincontent}
\section{An other section with standard style}
The environment ``maincontent'' is not using any special style. 
The user can later decide the style (s)he wants to apply.
The only reason of using such an environment is to add some space between the border and the text. 
\subsection{A subsection}
\lipsum[1]
\lipsum[2]
\end{maincontent}

%
% This is wha happens if you just write inside the standard "document" environment.
% Of course here one has to be more careful and should define new margins not to hit the border...
%
\section{Just adding a section without proper environment}
Like that one would hit the border...

\lipsum[5]


% Another section with some example content
\begin{maincontentstyled}
\section{Example content}

A simple table is \ref{tab:beamParameters}.

\begin{table}[ht]
\begin{center}
\caption{Main Beam Parameters for different operational scenarios relevant for the BPM specifications.}
\label{tab:beamParameters}
\begin{tabular}{p{2.5cm}p{3.5cm}p{0.9cm}p{0.9cm}p{2.cm}p{2.2cm}}
\hline\hline
\textbf{Particle} & \textbf{Bunch Charges} & \multicolumn{2}{p{2cm}}{\textbf{Number of bunches}} & \textbf{Min bunch spacing [ns]} & \textbf{Bunch length FWHM [ns]} \\
        &                                       & \textbf{Min} & \textbf{Max}   & & \\
\hline
Protons  				& $5\times10^{9}$-$2.3\times10^{11}$    	& 1	& 2760 	& 25 		& 0.7-1.2 \\
Ions      			    & $5\times10^{9}$-$5\times10^{10}$  	& 1 	& 1240 	& 50 		& 0.7-1.2 \\ 
Pilot (p or ions)  		& $5\times10^{9}$-$1\times10^{10}$    	& 1 	& 3     	& $\approx$\SI{30}{\micro s} 	& 0.7-1.2 \\ %Spacing: 25(p)/50(Pb)/88925(Single)
vdM scans (pp)$^\dagger$	& $9\times10^{10}$ $^\ddagger$      & 50	& 150 	& 525	& 0.7-1.2 \\ %\cite{LLCMWG:2020}
\hline\hline
\multicolumn{6}{p{14cm}}{\footnotesize $^\dagger$ VdM specifications are driven by p \cite{LLCMWG:2020}, but one should consider that for ions the number of charges is a factor ten less than for protons. } \\
\multicolumn{6}{p{12cm}}{\footnotesize $^\ddagger$ Intensity drop during vdM measurement typically less than 5\% \cite{LLCMWG:2020}.}
\end{tabular}
\end{center}
\end{table}

A simple Fig.~\ref{fig:BPMposition15},
%
\begin{figure}
    \centering
    \includegraphics[width=0.8\textwidth]{beamline.png}
    \caption{CALIFES beamline}
    \label{fig:BPMposition15}
\end{figure}
%
or a more complex one \ref{fig:errorRep}
%
\begin{figure}[!ht]
\centering
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{tikzpicture}[
    scale                       = 01,
    %axis/.style                = {help lines, -{Stealth[length = 1.5ex]}},
    >=stealth
  ]
% initialisation
\pgfmathsetmacro{\xreal}{5}
\pgfmathsetmacro{\yreal}{3}
\pgfmathsetmacro{\BPMangle}{12}
% angle
\draw[fill=green!30] (0,0) -- (0:2) arc (0:\BPMangle:2);
\draw ({\BPMangle/2}:2.5) node {$\psi$};
% ideal axes straight and point
\draw[thick, ->] (-3,0)   -- (10,0)   node [below]  {$x_{ideal}$};
\draw[thick, ->] (-1.7,-1)-- (-1.7,{\yreal+0.7}) node [left]   {$y_{ideal}$};
\draw[fill] ({\xreal},{\yreal}) circle (0.05) node [above right] {Beam};
%\draw[-] ( -1.7,0.1) -- ( -1.7,-0.1) node [above left=2pt] {$0_{ideal}$};
% BPM axes rotated
\begin{scope}[rotate around={\BPMangle:(0,0)}]
    \draw[thick, color=red,domain=5:9,samples=50,smooth] plot (\x,{1/(0.4*sqrt(2*pi))*exp(-((\x-7)^2)/(2*0.4^2))});
    \draw[thick, ->] (-3.,0) -- (10,0) node [below]    {$x_{BPM}$};
    \draw[-] ( 0,0.1) -- ( 0,-0.1) node [below right] {$0_{BPM}$};
    \draw[-] ( 7,0.1) -- ( 7,-0.1) node [below] {$\langle x_{measure} \rangle$};
    % Scaling error
    \draw[->, color=blue] (0,0.4) -- ( {(\xreal*cos(\BPMangle)+\yreal*sin(\BPMangle))},0.4);
    \draw[->, color=blue, dashed] ( {(\xreal*cos(\BPMangle)+\yreal*sin(\BPMangle))},0.4) -- (7,0.4);
    \draw[-, color=blue]  (0,0.5) -- ( 0,0.2);
    \node[above, color=blue] at ( {(\xreal*cos(\BPMangle)+\yreal*sin(\BPMangle))+0.5},0.4) {$k$};
    % Noise
    \draw[<->, color=red] (7,0.6) -- ( 7.4,0.6) node [above right] {$\sigma(\epsilon)$ (noise distribution)};
    \draw[-, color=red]  (7,0.5) -- ( 7,0.7);
\end{scope}
%
% projections
\draw[-, dashed] (\xreal, \yreal) -- ( -1.8,\yreal)  node [left]  {$y_{true}$};
\draw[-, dashed] ( \xreal,\yreal) -- ( \xreal,-0.1)  node [below] {$x_{true}$};
\draw[-, dashed] ( {(\xreal*cos(\BPMangle)+\yreal*sin(\BPMangle))*cos(\BPMangle)},{(\xreal*cos(\BPMangle)+\yreal*sin(\BPMangle))*sin(\BPMangle)}) -- ( \xreal,\yreal); % node [above left=2pt] {$x_{expected}$};
% offset
\draw[<->, color=blue] (-1.7,-0.5) -- ( 0,-0.5);
\draw[-, color=blue]  (-1.7,-0.6) -- ( -1.7,-0.3);
\draw[-, color=blue]    ( 0,-0.6) -- ( 0,-0.3);
\node[below, color=blue] at ({-1.7/2},-0.5) {$\Delta$};
\end{tikzpicture}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\caption{Simplified visualisation of the main linear contributions to BPM measurement error in the horizontal plane only, but showing also the impact of roll.}
\label{fig:errorRep}
\end{figure}



A simple Eq. \ref{eq:error}:

%
\begin{align}
    x_{\mathrm{measure}} - x_{\mathrm{true}} 
    &= 
    \Delta + k x_{\mathrm{true}} + \psi y_{\mathrm{true}} + \sum_{k=2}^{\infty}\sum_{j\leq k} \alpha_{k,j}x_{\mathrm{true}}^{k-j}y_{\mathrm{true}}^j + \epsilon .
    \label{eq:error}
\end{align}
%


\clearpage

\begin{thebibliography}{99}
%
\bibitem{Wendt:2019} M. Wendt, ``157th WP2 meeting on LHC BPM system requirements,'' 3 September 2019.
%
\bibitem{Andersson:2020} J. D. Andersson, R. De Maria, D. Gamba, ``Orbit Correction Studies on the HL--LHC Layout and Optics V1.5,'' CERN-ACC-NOTE-2020-0045, September 2020.
%
\bibitem{Wendt:2020} M. Wendt, ``HL-LHC IP and Ring BPMs: Read-out technology and expected BPM performance'', 176th WP2 meeting, June 2020.
%
%15:
\bibitem{LLCMWG:2021}
W. Kozanecki, ``Evidence for two-beam cross-talk in DOROS BPMs at IP1?'', LHC Luminosity Calibration and Monitoring Working Group Meeting, 11 January 2021;
% https://indico.cern.ch/event/986212/
%
\bibitem{LLCMWG:2020}
A. Dabrowski, W. Kozanecki, ``BPM specifications for vdM scans at HL-LHC'', LHC Luminosity Calibration and Monitoring Working Group Meeting, 26 October 2020.
% https://indico.cern.ch/event/967000/

\end{thebibliography}
\end{maincontentstyled}

\end{document}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

